Patch to prevent spurious deployment warnings

Prevents deployer warnings like


0.155 [ Warning][DeploymentComponent::loadLibrary] Component type name OCL::TimerComponent already used: overriding.
0.180 [ Warning][DeploymentComponent::loadLibrary] Component type name OCL::TimerComponent already used: overriding.


due to TimerComponent being listed as a component in multiple libraries. Patch matches approach taken in other OCL libraries.

Demonstrated and tested on Koala and Snow Leopard.
Stephen

AttachmentSize
0001-timer-Prevent-spurious-warnings-due-to-TimerComponen.patch733 bytes

Patch to prevent spurious deployment warnings

On Wednesday 10 March 2010 02:32:20 S Roderick wrote:
> Prevents deployer warnings like
>
> 
> 0.155 [ Warning][DeploymentComponent::loadLibrary] Component type name
>  OCL::TimerComponent already used: overriding. 0.180 [
>  Warning][DeploymentComponent::loadLibrary] Component type name
>  OCL::TimerComponent already used: overriding.
>
> due to TimerComponent being listed as a component in multiple libraries.
> Patch matches approach taken in other OCL libraries.
>
> Demonstrated and tested on Koala and Snow Leopard.
> Stephen
>

Applied, thanks.

Peter